# FoundationClasses
TKernel
TColStd

# TColStd_StdMapNodeOfMapOfReal Class Reference

`#include <TColStd_StdMapNodeOfMapOfReal.hxx>`

Inheritance diagram for TColStd_StdMapNodeOfMapOfReal:

[legend]

## Public Member Functions

| TColStd_StdMapNodeOfMapOfReal (const Standard_Real &K, const TCollection_MapNodePtr &n)
Standard_Real & | Key () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | myKey

## Constructor & Destructor Documentation

TColStd_StdMapNodeOfMapOfReal::TColStd_StdMapNodeOfMapOfReal | ( | const Standard_Real & | K,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const TColStd_StdMapNodeOfMapOfReal::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_MapNode.

Standard_Real& TColStd_StdMapNodeOfMapOfReal::Key | ( |  | ) | const

## Field Documentation

Standard_Real TColStd_StdMapNodeOfMapOfReal::myKey `[private]`

The documentation for this class was generated from the following file:

- TColStd_StdMapNodeOfMapOfReal.hxx